aboutsummaryrefslogtreecommitdiffstats
path: root/dist-tools/send-erratum-notice.sh
diff options
context:
space:
mode:
authorMatthias Andree <matthias.andree@gmx.de>2010-10-16 10:54:36 +0200
committerMatthias Andree <matthias.andree@gmx.de>2010-10-16 10:54:36 +0200
commitfcbd81c514edd2c7d09e54694b494c23e9dc2d62 (patch)
tree6a2b079b9c20cc1e71eb98ebcfdee53cd9e40a9a /dist-tools/send-erratum-notice.sh
parent293a45fe95947d84cc87f3211cd1adeacf5654d4 (diff)
downloadfetchmail-fcbd81c514edd2c7d09e54694b494c23e9dc2d62.tar.gz
fetchmail-fcbd81c514edd2c7d09e54694b494c23e9dc2d62.tar.bz2
fetchmail-fcbd81c514edd2c7d09e54694b494c23e9dc2d62.zip
Add send-erratum-notice.sh dist-tool script.
Diffstat (limited to 'dist-tools/send-erratum-notice.sh')
-rwxr-xr-xdist-tools/send-erratum-notice.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/dist-tools/send-erratum-notice.sh b/dist-tools/send-erratum-notice.sh
new file mode 100755
index 00000000..56d3a001
--- /dev/null
+++ b/dist-tools/send-erratum-notice.sh
@@ -0,0 +1,11 @@
+test "$SEND_ANNOUNCEMENTS" = doit || { echo "read the source, luke! -> $0" ; cat "$0" ; exit 1 ; }
+
+ANN=fetchmail-EN-2010-03
+FILE=$HOME/VCS-mine/fetchmail.git/$ANN.txt
+test -r $FILE || { echo "Cannot find $FILE." ; exit 1 ; }
+SUBJECT="fetchmail erratum notice $ANN"
+MAILER=mail
+
+$MAILER -r matthias.andree@gmx.de -s "$SUBJECT" <$FILE \
+ vendor-sec@lst.de \
+ fetchmail-announce@lists.berlios.de